#
%define		module	cfgparse
%define		_ver	v01_02
%define		ver	%(echo %{_ver} | sed -e 's@^v0@@' -e 's@_@.@g')
#
Summary:	Python configuration file parser module
Summary(pl.UTF-8):	Moduł Pythona do parsowania plików konfiguracyjnych
Name:		python-cfgparse
Version:	%{ver}
Release:	4
License:	distrubutable	
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/cfgparse/%{module}-%{_ver}.tar.gz
# Source0-md5:	9add1b0bbf828f7c7383407cdeefea94
URL:		http://cfgparse.sourceforge.net/
BuildRequires:	python >= 2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.231
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python configuration file parser module.

%description -l pl.UTF-8
Moduł Pythona do parsowania plików konfiguracyjnych.

%prep
%setup -q -n %{module}-%{_ver}

%install
rm -rf $RPM_BUILD_ROOT

%py_install

# make python *.pyo files
%{py_ocomp} $RPM_BUILD_ROOT%{py_sitescriptdir}

# remove .py files, leave just compiled ones.
%{py_postclean}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt docs/cfgparse.pdf docs/cfgparse/* 
%{py_sitescriptdir}/*.py[co]
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-cfgparse.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8732ff7
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 0650f0e
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> f6836fd
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 26ca2ae
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 91d0388
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 158b37a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a889ef0
- converted to UTF-8

* Sun Mar 12 2006 Jakub Bogusz <qboosh@pld-linux.org> f19ee15
- unified sf URL

* Sun Mar 12 2006 twittner <twittner@pld-linux.org> d8ea250
- added, STBR

